MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024740Open CASCADE[OCCT] OCCT:WOKpublic2014-03-19 15:462014-11-11 12:51
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024740: WOK headers generation - improve syntax
DescriptionMake output more relevant to OCCT coding rules (remove redundant spaces, add spaces in arguments list).
  Standard_EXPORT     void Build(const OSD_Protection& Protect) ;
  //! Creates a temporary Directory in current directory.
  //! This directory is automatically removed when object dies.
  Standard_EXPORT   static  OSD_Directory BuildTemporary() ;
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024557closedkgv Improve formatting of HXX files generated by WOK 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0028359)
kgv (developer)
2014-03-19 16:07

The fix in branch CR24740 can be raised to master.

  //! If Build is used and <me> is instantiated without a name,
  //! OSDError is raised.
  Standard_EXPORT void Build (const OSD_Protection& Protect);
  
  //! Creates a temporary Directory in current directory.
  //! This directory is automatically removed when object dies.
  Standard_EXPORT static OSD_Directory BuildTemporary();
(0028390)
bugmaster (administrator)
2014-03-20 13:24

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2014-03-19 15:46 kgv New Issue
2014-03-19 15:46 kgv Assigned To => kgv
2014-03-19 15:49 kgv Relationship added child of 0024002
2014-03-19 15:50 kgv Status new => resolved
2014-03-19 15:51 kgv Relationship added related to 0024557
2014-03-19 16:07 kgv Note Added: 0028359
2014-03-19 16:07 kgv Assigned To kgv => bugmaster
2014-03-19 16:07 kgv Status resolved => feedback
2014-03-20 13:23 bugmaster Status feedback => tested
2014-03-20 13:24 bugmaster Note Added: 0028390
2014-03-20 13:24 bugmaster Status tested => verified
2014-03-20 13:24 bugmaster Resolution open => fixed
2014-03-20 13:24 bugmaster Assigned To bugmaster => kgv
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker